Apple Reject Because Of Some Kind Of Yandex Sdk

Discussion in 'Technical Discussion' started by elbatros, Jul 12, 2018.

  1. elbatros

    elbatros Boxer

    Joined:
    Feb 1, 2018
    Messages:
    29
    Likes Received:
    0

    Attached Files:

  2. Wapps1

    Wapps1 Avid Boxer

    Joined:
    Oct 23, 2016
    Messages:
    144
    Likes Received:
    68
    Hi,
    I work also with Unity, and i had this problem also with appodeal and unity.
    It was because the mediation sdk had a old version of yandex inside.. after updating the whole mediation sdk to the newest beta, it worked.

    So i think you should contact heyzap to get a new sdk without old yandex sdk
     
  3. Wapps1

    Wapps1 Avid Boxer

    Joined:
    Oct 23, 2016
    Messages:
    144
    Likes Received:
    68
    Or maybe exclude yandex manually from the mediation sdk
     
  4. Christoph

    Christoph Miniboss Boxer

    Joined:
    Oct 4, 2015
    Messages:
    2,808
    Likes Received:
    2,308
    Yes, you need to update to the latest SDK. This happens with all ad mediator's SDKs, no matter which one you use.
     
  5. elbatros

    elbatros Boxer

    Joined:
    Feb 1, 2018
    Messages:
    29
    Likes Received:
    0
    Thank you guy for information. So if I download newest Heyzap SDK and Admob should be alright? Should I pay attention about this Yandex sdk?? I have no clue where did it came from.
     

    Attached Files:

  6. elbatros

    elbatros Boxer

    Joined:
    Feb 1, 2018
    Messages:
    29
    Likes Received:
    0
    Guys HELP! How to exclude Yandex SDK manually? I just recently got rejected again with the newest HeyZap SDK. same story: To resolve this issue, please either remove the Yandex SDK entirely from your app, or revise your app to utilize version 2.9.8 or 3.1.2 of the Yandex SDK. I can't find that f***ing SDK in my project...
     
  7. Berger

    Berger Boxer

    Joined:
    Jul 23, 2018
    Messages:
    1
    Likes Received:
    0
    Do you know if Appodeal's latest Unity Beta SDK - Appodeal-Unity-2.8.44 - is being approved at Apple? Was it this version that got your game approved? Thanks
     
  8. elbatros

    elbatros Boxer

    Joined:
    Feb 1, 2018
    Messages:
    29
    Likes Received:
    0
    @Christoph Is there other way to Update SDK than download SDK which Heyzap offers you? Because it download latest what they offer in 'Doc' page.
     

Share This Page